Subject: Re: glibc vs. newlib

From: Mark Hatle <[email-masked]>
Date: Mon, 07 Apr 2003 01:05:23 -0500

Erik Christiansen wrote:
> On Fri, Apr 04, 2003 at 07:30:21PM -0600, Mark Hatle wrote:
>
>>I strongly recommend you stay away from newlib.
>
>
> Mark,
>
>    Is it something related to linux that has given you a bad experience
>    with newlib? (There is no related information in your post, so I'm
>    curious.)
>

In my experience, the only thing newlib is useful for is bootstrapping a system.
  If you have a working system with newlib, more power to you.  I have never had
any success or desire to get that to work.  For a small system libc, uclibc
looks promising.  For a more traditional linux system, glibc is truely the only
way to do it.  (With special tools you can dramatically reduce the size of
glibc, but not as far as most people would like.)

--Mark

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/